#ifndef INDEXABLEDATA_HPP_INCLUDED
#define INDEXABLEDATA_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>

namespace Internal
{
    class IndexableData : public Object
    {
        public:
            IndexableData();
            IndexableData(const void* Obj);
            IndexableData(const IndexableData& IndexableData);
            static Class GetClass();

            std::vector<std::vector<Object>> GetChildren() const;

    };
}

#endif // INDEXABLEDATA_HPP_INCLUDED
